com.gisgraphy.hibernate.type

## Class TsVectorStringType

- java.lang.Object
- - com.gisgraphy.hibernate.type.TsVectorStringType

- All Implemented Interfaces:
    org.hibernate.usertype.UserType

      public class TsVectorStringType
      extends Object
      implements org.hibernate.usertype.UserType

  Hibernatetype to map postgresql ts_vector to String
  Author:
    David Masclet

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TsVectorStringType()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `assemble(Serializable cached, Object owner)`
    `Object` | `deepCopy(Object value)`
    `Serializable` | `disassemble(Object o)`
    `boolean` | `equals(Object x, Object y)`
    `int` | `hashCode(Object obj)`
    `boolean` | `isMutable()`
    `Object` | `nullSafeGet(ResultSet rs, String[] names, Object owner)`
    `void` | `nullSafeSet(PreparedStatement st, Object value, int index)`
    `Object` | `replace(Object original, Object target, Object owner)`
    `Class` | `returnedClass()`
    `int[]` | `sqlTypes()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TsVectorStringType

          public TsVectorStringType()

  - ### Method Detail

    - #### assemble

          public Object assemble(Serializable cached,
                        Object owner)
                          throws org.hibernate.HibernateException

      Specified by:
        `assemble` in interface `org.hibernate.usertype.UserType`
      Throws:
        `org.hibernate.HibernateException`

    - #### deepCopy

          public Object deepCopy(Object value)
                          throws org.hibernate.HibernateException

      Specified by:
        `deepCopy` in interface `org.hibernate.usertype.UserType`
      Throws:
        `org.hibernate.HibernateException`

    - #### disassemble

          public Serializable disassemble(Object o)
                                   throws org.hibernate.HibernateException

      Specified by:
        `disassemble` in interface `org.hibernate.usertype.UserType`
      Throws:
        `org.hibernate.HibernateException`

    - #### equals

          public boolean equals(Object x,
                       Object y)
                         throws org.hibernate.HibernateException

      Specified by:
        `equals` in interface `org.hibernate.usertype.UserType`
      Throws:
        `org.hibernate.HibernateException`

    - #### hashCode

          public int hashCode(Object obj)
                       throws org.hibernate.HibernateException

      Specified by:
        `hashCode` in interface `org.hibernate.usertype.UserType`
      Throws:
        `org.hibernate.HibernateException`

    - #### isMutable

          public boolean isMutable()

      Specified by:
        `isMutable` in interface `org.hibernate.usertype.UserType`

    - #### nullSafeGet

          public Object nullSafeGet(ResultSet rs,
                           String[] names,
                           Object owner)
                             throws org.hibernate.HibernateException,
                                    SQLException

      Specified by:
        `nullSafeGet` in interface `org.hibernate.usertype.UserType`
      Throws:
        `org.hibernate.HibernateException`
        `SQLException`

    - #### nullSafeSet

          public void nullSafeSet(PreparedStatement st,
                         Object value,
                         int index)
                           throws org.hibernate.HibernateException,
                                  SQLException

      Specified by:
        `nullSafeSet` in interface `org.hibernate.usertype.UserType`
      Throws:
        `org.hibernate.HibernateException`
        `SQLException`

    - #### replace

          public Object replace(Object original,
                       Object target,
                       Object owner)
                         throws org.hibernate.HibernateException

      Specified by:
        `replace` in interface `org.hibernate.usertype.UserType`
      Throws:
        `org.hibernate.HibernateException`

    - #### returnedClass

          public Class returnedClass()

      Specified by:
        `returnedClass` in interface `org.hibernate.usertype.UserType`

    - #### sqlTypes

          public int[] sqlTypes()

      Specified by:
        `sqlTypes` in interface `org.hibernate.usertype.UserType`

Copyright © 2015. All rights reserved.